## org.apache.myfaces.webapp
Class StartupServletContextListener

    java.lang.Object
      org.apache.myfaces.webapp.StartupServletContextListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextListener

public class StartupServletContextListener
extends java.lang.Object
implements javax.servlet.ServletContextListener

TODO: Add listener to myfaces-core.tld instead of web.xml

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Constructor Summary
`StartupServletContextListener()`

Method Summary
`void` `contextDestroyed(javax.servlet.ServletContextEvent e)`
`void` `contextInitialized(javax.servlet.ServletContextEvent event)`
`static void` `initFaces(javax.servlet.ServletContext servletContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartupServletContextListener

    public StartupServletContextListener()

Method Detail

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent event)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

### initFaces

    public static void initFaces(javax.servlet.ServletContext servletContext)

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent e)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`